package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 发货方式
 */
@AllArgsConstructor
@Getter
public enum EDelivery {

    /**
     *
     */
    EMPTY(0, "未知", 1),

    /**
     * 快递发货
     */
    FAST_MAIL(1, "快递发货", 0),

    /**
     * 公司自提
     */
    COMPANY_PICKED_UP(2, "公司自提", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    public static EDelivery getDelivery(int value) {
        for (EDelivery eDelivery : EDelivery.values()) {
            if (eDelivery.getValue() == value) {
                return eDelivery;
            }
        }
        return EDelivery.EMPTY;
    }

    public static String getLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (EDelivery enums : EDelivery.values()) {
            if (enums.getValue() == value) {
                return enums.getLabel();
            }
        }
        return "";
    }

}
